using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Configuration;
using System.Data.SqlClient;

namespace NScontract.User
{
    /// <summary>
    /// UserInfo 的摘要说明。
    /// </summary>
    public partial class UserInfo : System.Web.UI.Page
    {
        SqlConnection NSconn;

        protected void Page_Load(object sender, System.EventArgs e)
        {
            if (Session["NSNickName"] != null)
            {
                //获得数据库连接字符串
                string NSconnection = ConfigurationSettings.AppSettings["strconnection"];
                //创建数据库连接
                NSconn = new SqlConnection(NSconnection);
                if (!IsPostBack)
                {
                    //自定义NS_DgBind()方法，加载用户的信息
                    BindGrid();
                }
            }
            else
            {
                Response.Redirect("../Index.aspx");
            }
        }

        //用来处理分页
        public void NSmyGrid_Page(object sender, DataGridPageChangedEventArgs e)
        {
            //获取DataGrid的当前显示页的索引
            NSmyGrid.CurrentPageIndex = e.NewPageIndex;
            BindGrid();
        }

        //加载用户的信息
        public void BindGrid()
        {
            //获取登录用户的登录名
            string NSNickName = Session["NSNickName"].ToString();
            //根据登录用户名和管理权限创建查询用户所有信息的sql语句
            string NSstrsql = "select NSUserID,NSNickName,NSUserName,NSNoAdmin from NSUser where NSNickName = '" + NSNickName + "'and NSNoAdmin = 0";
            //创建SqlDataAdapter的实例
            SqlDataAdapter NSsda = new SqlDataAdapter(NSstrsql, NSconn);
            //创建DataSet的实例
            DataSet NSds = new DataSet();
            //将信息填充到DataSet
            NSsda.Fill(NSds);
            //将信息绑定到DataGrid
            NSmyGrid.DataSource = NSds;

            NSmyGrid.DataBind();

        }
        #region Web 窗体设计器生成的代码
        override protected void OnInit(EventArgs e)
        {
            //
            // CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
            //
            InitializeComponent();
            base.OnInit(e);
        }

        /// <summary>
        /// 设计器支持所需的方法 - 不要使用代码编辑器修改
        /// 此方法的内容。
        /// </summary>
        private void InitializeComponent()
        {
            this.NSmyGrid.CancelCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.NSmyGrid_cancel);

        }
        #endregion

        private void NSmyGrid_cancel(object source, System.Web.UI.WebControls.DataGridCommandEventArgs e)
        {

        }
    }
}
